This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 847988 - (CVE-2012-3482) CVE-2012-3482 fetchmail: DoS (crash) in the base64 decoder upon server NTLM protocol exchange abort right after the initial request
CVE-2012-3482 fetchmail: DoS (crash) in the base64 decoder upon server NTLM p...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120813,reported=2...
: Security
Depends On: 847989
Blocks: 847991
  Show dependency treegraph
 
Reported: 2012-08-14 05:33 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-08-14 05:33:48 EDT
A denial of service flaw was found in the way Fetchmail, a remote mail retrieval and forwarding utility, performed base64 decoding of certain NTLM server responses. Upon sending the NTLM authentication request, Fetchmail did not check if the received response was actually part of NTLM protocol exchange, or server-side error message and session abort. A rogue NTML server could use this flaw to cause fetchmail executable crash.

Upstream patches:
[1] http://gitorious.org/fetchmail/fetchmail/commit/3fbc7cd331602c76f882d1b507cd05c1d824ba8b
[1a] https://gitorious.org/fetchmail/fetchmail/commit/c189f6a54f36f5b6f7734303db3cfc52311aab5f
[1b] https://gitorious.org/fetchmail/fetchmail/commit/b3e0cd2d558b5ccf06c816eed38c883d7462d3d4

Upstream advisory (not available yet):
[2] http://www.fetchmail.info/fetchmail-SA-2012-02.txt

CVE request:
[3] http://www.openwall.com/lists/oss-security/2012/08/13/9

References:
[4] https://bugs.gentoo.org/show_bug.cgi?id=431284
Comment 1 Jan Lieskovsky 2012-08-14 05:34:54 EDT
This issue affects the versions of the fetchmail package, as shipped with Fedora release of 16 and 17. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-08-14 05:35:45 EDT
Created fetchmail tracking bugs for this issue

Affects: fedora-all [bug 847989]
Comment 4 Fedora Update System 2012-10-02 11:57:13 EDT
fetchmail-6.3.22-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Stefan Cornelius 2012-10-05 03:11:25 EDT
Statement:

The Red Hat Security Response Team has rated this issue as having low security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.